ARCPERFTEST(1)

NAME

arcperftest - ARC service performance tester

SYNOPSIS

arcperftest [ -c config ] [ -d debug ] [ -r ] url threads duration

DESCRIPTION

The arcperftest command test the performance of an ARC service specified by its url sending threads number of concurrent requests for a duration of duration seconds.

OPTIONS

-c config
    The file containing client chain XML configuration with 'soap' entry point and HOSTNAME, PORTNUMBER and PATH keyword for hostname, port and HTTP path of 'echo' service.

-d debuglevel
    FATAL, ERROR, WARNING, INFO, VERBOSE or DEBUG

-r  If specified close connection and reconnect after every request.

EXAMPLES

  Axis2C:
    with TLS:
      arcperftest https://glueball.uio.no:50443/axis2/services/echo 10 30
    without TLS:
      arcperftest http://glueball.uio.no:50000/axis2/services/echo 10 30

  HED:
    with TLS:
      arcperftest https://glueball.uio.no:60000/echo 10 30
    without TLS:
      arcperftest http://glueball.uio.no:60010/echo 10 30

COPYRIGHT

APACHE LICENSE Version 2.0

AUTHOR

ARC software is developed by the NorduGrid Collaboration (http://www.nordugrid.org), please consult the AUTHORS file distributed with ARC. Please report bugs and feature requests to http://bugzilla.nordugrid.org